Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.common
Class ConnectDeadException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.utils.NestedException
                        |
                        +--weblogic.common.ResourceException
                              |
                              +--weblogic.common.ConnectDeadException

public final class ConnectDeadException
extends ResourceException

Class for ConnectDeadException

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`ConnectDeadException()` Constructs a ConnectDeadException Exception.
`ConnectDeadException(java.lang.String s)` Constructs a ConnectDeadException with the specified message.
`ConnectDeadException(java.lang.String s, java.lang.Throwable t)`

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectDeadException

    public ConnectDeadException(java.lang.String s)

  Constructs a ConnectDeadException with the specified message. A ConnectDeadException indicates that the Connection Pool is not viable.

  Parameters:
    `s` - String message

### ConnectDeadException

    public ConnectDeadException()

  Constructs a ConnectDeadException Exception. A ConnDisabled indicates that the Connection Pool is not viable.

### ConnectDeadException

    public ConnectDeadException(java.lang.String s,
                                java.lang.Throwable t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD